import { Dict_Imgs } from "@/dict";
import { createAttrsForm } from "../../defines/createAttrsForm";
import { createOptions } from "../../defines/createOptions";

export { Component } from "./component";

export const { options, useCompData } = createOptions({
  name: "图片",
  value: Dict_Imgs.Default,
});

export const Form = createAttrsForm([
  {
    label: "图片",
    dataIndex: "value",
    component: "Input",
  },
]);
