import { useResource } from "@/modules/resource";
import { useQueditor } from "@queenjs-modules/queditor";
import { defineComponent } from "vue";

export default defineComponent({
  setup() {
    const resource = useResource();
    const queditor = useQueditor();

    queditor.actions.on("updateCurrPackFormData:success", () => {
      // queditor.store.currActiveMat
      console.log(
        "queditor.store.currActiveMat: ",
        queditor.store.currActiveMat
      );
      console.log("resource: ", resource.store);
    });

    return () => {
      return (
        <div class="w-300px flex flex-col">
          <div class="p-15px text-16px text-white border-dark-800 border-0 border-b-1 border-solid">
            面料编辑
          </div>
          <div class="px-15px py-15px flex-1 overflow-y-auto scrollbar">
            <queditor.components.Panel.CurrEdit />
          </div>
        </div>
      );
    };
  },
});
