import { defineUI } from "queenjs";
import { useEditor } from "../..";

export default defineUI({
  setup() {
    const { store, config } = useEditor();
    return () => (
      <div>
        {store.designData.content.map((d) => {
          const Comp: any = config.compUI[d.compKey].Component;
          return <Comp key={d.id} compId={d.id} />;
        })}
      </div>
    );
  },
});
