import { useEditor } from "@/modules/editor";
import { Button } from "ant-design-vue";
import { defineUI } from "queenjs";

export default defineUI({
  setup() {
    const { history } = useEditor().controls.historyCtrl;
    return () => (
      <div>
        <Button
          onClick={() => history.undo()}
          disabled={!history.state.canUndo}
        >
          撤销
        </Button>
        <Button
          onClick={() => history.redo()}
          disabled={!history.state.canRedo}
        >
          重做
        </Button>
      </div>
    );
  },
});
