import { EditorModule } from "..";
import { DesignTemp } from "../defines/DesignTemp";

export const https = EditorModule.http({
  getDesignDetail(id: string) {
    return this.request("/h5/detail/" + id, {
      method: "GET",
    });
  },
  saveDesign(data: DesignTemp) {
    return this.request("/h5/update", {
      method: "POST",
      data,
    });
  },
});
