import { startApp } from "@/App";
import { initAuthDef } from "@/hooks/initAuthDef";
import { initRemSize } from "@/hooks/initRemSize";
import CKEditor from "@ckeditor/ckeditor5-vue";
import router from "./router";
import { initResource } from "@/modules/resource";

startApp(router, [initAuthDef, initRemSize, initResource], (app) => {
  app.use(CKEditor);
});
