import { useResource } from "@/modules/resource";
import { defineComponent } from "vue";

import PromotionUI from "./components";
export default defineComponent({
  setup() {
    const resource = useResource();
    const ctrl = resource.helper.createPromotinController();
    return () => (
      <PromotionUI
        Controller={ctrl}
        slots={{
          // MaterialItem: ()=>{
          //   return <div>item</div>
          // }
        }}
      ></PromotionUI>
    );
  },
});
